# Uses of Enum
org.eclipse.birt.chart.model.attribute.ImageSourceType

Packages that use ImageSourceType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of ImageSourceType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type ImageSourceType
Modifier and Type
Field
Description
`static final List<ImageSourceType>`
ImageSourceType.`VALUES`
A public read-only list of all the 'Image Source Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return ImageSourceType
Modifier and Type
Method
Description
`static ImageSourceType`
ImageSourceType.`get(int value)`
Returns the 'Image Source Type' literal with the specified integer value.
`static ImageSourceType`
ImageSourceType.`get(String literal)`
Returns the 'Image Source Type' literal with the specified literal value.
`static ImageSourceType`
ImageSourceType.`getByName(String name)`
Returns the 'Image Source Type' literal with the specified name.
`ImageSourceType`
Image.`getSource()`
Returns the value of the 'Source' attribute.
`static ImageSourceType`
ImageSourceType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ImageSourceType[]`
ImageSourceType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type ImageSourceType
Modifier and Type
Method
Description
`void`
Image.`setSource(ImageSourceType value)`
Sets the value of the '`Source`' attribute.

## Uses of ImageSourceType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ImageSourceType
Modifier and Type
Method
Description
`ImageSourceType`
AttributeFactoryImpl.`createImageSourceTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ImageSourceType`
AttributeFactoryImpl.`createImageSourceTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ImageSourceType`
ImageImpl.`getSource()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type ImageSourceType
Modifier and Type
Method
Description
`static final Image`
ImageImpl.`create(String sURL, ImageSourceType source)`
A convenient method to create and initialize an Image instance.
`void`
ImageImpl.`setSource(ImageSourceType newSource)`